# DeepOBDConf

## DDE-AutoLLA

**Automatische Leerlaufanhebung** 

Hebt die Leerlaufdrehzahl automatisch per Regelwerk aufgrund verschiedener Parameter an.   
Diese Konfiguration ruft Daten abwechselnd von mehreren Steuergeräten ab (DDE und KOMBI), wobei die Daten aus dem Kombiinstrument (TÖNS Heiz-/Kühlzeit) nur selten abgerufen werden um die restlichen Funktionen nicht unnötig auszubremsen.   

Die Adaption Leerlaufanhebung wird hier **nicht programmiert** sondern nur **verstellt**, was sich rein im RAM der DDE abspielt und somit trotz sehr häufiger Änderung keine Folgeschäden befürchten lässt. Diese Änderungen verschwinden nach Zündung aus wieder. Ohne aktivem DeepOBD ist das ganze somit außer Funktion und der Serienstand aktiv. 

Da dies immer automatisch aktiv sein soll muss diese Konfiguration die **Hauptseite** in DeepOBD sein und Deep OBD sollte automatisch gestartet werden, z.B. über die entsprechende Funktion in der IBUS App. Die Konfiguration enthält daher für die Daten-Broadcasts zur IBUS-App alle Werte aus der originalen I-BUS App Konfiguration (Ladedruck Soll/Ist, Einspritzmenge, Luftmasse, TÖNS Heiz-/Kühlzeit... ) für den M57TÜ sowie **farbige** Anzeigen. 



#### Funktion

- **Elektrischer Zuheizer**

  wenn der elektrische Zuheizer aktiv ist wird die Leerlaufdrehzahl um 200 u/min (auf 950 u/min) angehoben, um Leerlaufschwankungen zu reduzieren   
  Anmerkung: beim M57 DDE4 war diese Anhebung Serienmäßig auf 900 u/min, beim M57TÜ DDE5 nur noch um 50 u/min, woraus das Problem mit dem schwankenden Leerlauf resultiert. Meine Tests haben als optimalen Wert bei meinem E46 330d M57TÜ (Schalter, EU4) eine Anhebung um 200 u/min als ideal ergeben. 

- **Generatorlastsignal**

  - bei hoher Generatorlast wird die LL-Drehzahl um 90 u/min angehoben
  - bei sehr hoher Generatorlast um 150 u/min (z.B. beim Starthilfe geben sinnvoll)

- **Motortemperatur**

  - verschiedene Stufen je nach Motortemperatur
  - ausgehend von sehr kalt wird bis Betriebstemperatur die Anhebung in Stufen reduziert
  - bei heißem Motor (> 105°C) wird die Drehzahl für bessere Kühlung um 200 u/min erhöht, bis die Temperatur auf 95 °C gesunken ist

- **Kupplungsschalter**

  - bei betätigter Kupplung: Anhebung auf 900 upm für angenehmeres Anfahrverhalten und einfachere Weiterfahrt im 2. Gang bei einem Rollstopp mit kurz schleifender Kupplung (Achtung auf Verschleiß!!)
  - einige Sekunden nachdem die Kupplung nicht mehr getreten ist - Reduzierung der Drehzahlanhebung auf von der Motortemperatur abhängigen Wert (wenn keine andere LL-Intervention aktiv) 

  Anmerkung: diese Funktion haben die Benziner wie M54B30 Serienmäßig. Dort wird ca. um 100 u/min angehoben - in meinen Tests hat sich für den M57TÜ im E46 eine Anhebung um 150 u/min (auf 900) als am Besten erwiesen. 

- **Klimakompressor und Klimabereitschaft**

  - Klimaanlage in Bereitschaft, Kompressor läuft nicht: moderate Anhebung um Drehzahleinbruch bei Kompressoranlauf zu verhindern
  - Klimakompressor läuft: etwas höhere Anhebung

  Anmerkung: eine gewisse Leerlaufanhebung bei aktiviertem Kompressor ist serienmäßig vorhanden, allerdings nicht bei Klima-Bereitschaft, weshalb man im Leerlauf beim M57TÜ jedesmal einen leichten "Verschlucker" bemerkt wenn der Klimakompressor einkuppelt. 

- Reduktion auf Serienwert (Anhebung 0) bei Betriebstemperatur, wenn keine andere Intervention aktiv ist, nach einigen Sekunden

- Alle Parameter sind im Code konfigurierbar






